<?php

namespace Naiz\NaizFitSizeForm\Block;

use Magento\Framework\View\Element\Template\Context;
use Naiz\NaizFitSizeForm\Helper\Data;
use Magento\Checkout\Model\Session;

class Widget extends \Magento\Framework\View\Element\Template
{
    /**
     * @var \Naiz\NaizFitSizeForm\Helper\Data
     */
    protected $helper;
    protected $objectManager;
    protected $urlInterface;
    protected $registry;
    protected $storeManager;
    protected $_checkoutSession;

    public function __construct(
        Context $context,
        Data $helper,
        Session $_checkoutSession,
        array $data = []
    ) {
        parent::__construct($context, $data);
        $this->helper = $helper;
        $this->_checkoutSession = $_checkoutSession;
    }
    public function getPartnerKey(){
        return $this->helper->getPartnerKey();
    }
    public function getQuoteId(){
        return $this->_checkoutSession->getQuote()->getId();
    }
    public function getOrderId(){
        $order = $this->_checkoutSession->getLastRealOrder();
        if ($order)
            return $order->getIncrementId();
        return "";
    }
}
